# Re-generate by uncommenting the following line:
# return 0;

use strict;
package Envy::Conf;
require Exporter;
use vars qw(@ISA @EXPORT_OK
	    %How %env0 $startup $strictness $prefix @path);
@ISA = ('Exporter');
@EXPORT_OK = qw(%How);

# Prefix (such that $prefix/bin/envy.pl exists)
$prefix = '/usr';

# Hardcoded environment
%env0 = (
	'EDITOR' => 'vi',
	'MANPATH' => '/usr/man',
	'PATH' => '/bin:/usr/bin',
);

# the directory containing the First dimension
@path = qw(
	/usr/etc/envy
);

# the .env file containing the First dimension
$startup = 'test';

# Strictness (0 is normal; 1 upgrades warnings to errors)
$strictness = 0;

# ------------------------------------------------------------------------
# All done; now collect all settings into an easy to use hash:
#
%How = (env0=>\%env0, startup=>$startup, prefix=>$prefix, path=>\@path,
	strictness=>$strictness);

1;
